#
# spec file for package libreoffice-icon-theme-papirus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services
# From GitHub
%global commit af24d176d602d405272e7c6fce51359dbd707fda
%global shortcommit af24d176


Name:           libreoffice-icon-theme-papirus
# https://en.opensuse.org/openSUSE:Package_naming_guidelines#SCM_snapshots
Version:        20170228+git10.gaf24d17
Release:        lp153.1.2
Summary:        Papirus theme for Libreoffice
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://github.com/PapirusDevelopmentTeam/papirus-libreoffice-theme
Source:         https://github.com/PapirusDevelopmentTeam/papirus-libreoffice-theme/archive/%{commit}/papirus-libreoffice-theme-%{shortcommit}.tar.gz
BuildRequires:  automake
Requires:	libreoffice-share-linker
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

Papirus theme for LibreOffice is available in three variants:

ePapirus
Papirus
Ppirus Dark

This theme is unmaintained and LibreOffice 5.3 is the last supported version,
although it works on LibreOffice 7.1.2.2, openSUSE Leap 15.3. If you are going
to install this package, expect it to be discontinued soon or later.

%prep
%autosetup -n papirus-libreoffice-theme-%{commit}

%install
make DESTDIR=%{buildroot} PREFIX=%{_datadir} install

%posttrans
rpm -ql %{name} > %{_datadir}/libreoffice/%{name}_list.txt || true 
if [ -f %{_datadir}/libreoffice/%{name}_list.txt ] ; then 
    %{_bindir}/libreoffice-share-linker %{_datadir}/libreoffice/%{name}_list.txt || true 
fi 

%postun
if [ "$1" = "0" -a -f %{_datadir}/libreoffice/%{name}_list.txt -a -x %{_bindir}/libreoffice-share-linker ]; then 
    %{_bindir}/libreoffice-share-linker --unlink %{_datadir}/libreoffice/%{name}_list.txt || true 
    rm -f %{_datadir}/libreoffice/%{name}_list.txt 2> /dev/null || true 
fi 


%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md
%dir %{_datadir}/libreoffice
%dir %{_datadir}/libreoffice/share
%dir %{_datadir}/libreoffice/share/config

%{_datadir}/libreoffice/share/config/images_papirus.zip
%{_datadir}/libreoffice/share/config/images_epapirus.zip
%{_datadir}/libreoffice/share/config/images_papirus_dark.zip


%changelog
* Sat Oct 16 2021 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- Packaging of the latest commit to master (af24d176 on Apr 9 2020)
- The README.md file says that the project is unmaintained and that LibreOffice 5.3 is the last supported version, although it works on LibreOffice 7.1.2.2, openSUSE Leap 15.3. Users of this package should expect it to be discontinued soon or later.
* Tue Aug 20 2019 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- Packaging of the latest commit to master (cfe7659 on Apr 13 2018)
* Sun Jan 22 2017 kill_it@mail.ru
- 20170119
- new port, new icons and colors
- add ePapirus version
- 2017.01.12-r23
- Initial release.
